'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = visitor;

var _babelTypes = require('babel-types');

var t = _interopRequireWildcard(_babelTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function isModule(value, original) {
  var pattern = new RegExp('^(' + original + '|' + original + '/.*)$');
  return pattern.test(value);
} /* eslint-disable no-param-reassign */


function replace(value, original, replacement) {
  var pattern = new RegExp('^' + original);
  return value.replace(pattern, replacement);
}

function visitor(_ref) {
  var original = _ref.original;
  var replacement = _ref.replacement;

  var source = function source(value) {
    return t.stringLiteral(replace(value, original, replacement));
  };
  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path) {
        var value = path.node.source.value;
        if (isModule(value, original)) {
          path.node.source = source(value);
        }
      },
      CallExpression: function CallExpression(path) {
        var node = path.node;
        if (node.callee.name === 'require' && node.arguments && node.arguments.length === 1 && t.isStringLiteral(node.arguments[0]) && isModule(node.arguments[0].value, original)) {
          path.node.arguments = [source(node.arguments[0].value)];
        }
      }
    }
  };
}